
function random255:byte;
begin
  random255:=ran255[ran255z];
  inc(ran255z);
end;

procedure init_random;
begin
  randomize;
    for ran255z:=0 to 255 do
    begin
      ran255[ran255z]:=random(255);
    end;
end;
